Update an Existing Subscription

Use this API to update an existing subscription. You must provide both the subscriptionId and subscriptionType to identify which subscription you want to modify. This endpoint supports partial and full updates, including:

  • Replacing all associated entity IDs with the subscription (e.g., company IDs or dbPerson IDs).
  • Incrementally adding or removing entity IDs in the subscription.
  • Updating other subscription details such as frequency, webhook URL, signing secret, fields, or news categories.

The API responds with a jobId, which can be used to check the job's status. Once the job completes successfully, the subscription is updated accordingly.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
companyIds
array of int32s

Updated list of Company IDs you want to subscribe to. This replaces the existing list if provided.

companyIds
addCompanyIds
array of int32s

Company IDs to add to the current subscription (incremental update).

addCompanyIds
removeCompanyIds
array of int32s

Company IDs to remove from the current subscription.

removeCompanyIds
dbPersonIds
array of int32s

Updated list of Demandbase Person IDs to subscribe to. This replaces the existing list if provided.

dbPersonIds
addDBPersonIds
array of int32s

Demandbase Person IDs to add to the current subscription (incremental update).

addDBPersonIds
removeDBPersonIds
array of int32s

Demandbase Person IDs to remove from the current subscription.

removeDBPersonIds
string

Unique ID of the subscription you want to update.

string

Updated name for the subscription.

string

Updated description explaining the purpose of this subscription.

string
enum

Type of subscription you are updating.

Allowed:
string
New frequency for receiving updates.
Format options: Minutes (M), Hours (h), Days (d), Weeks (w), or Months (m)
Example: "7d" for every 7 days
fields
array of strings
Updated list of fields to track for changes.
Notifications will be triggered when any of these fields value changes.
fields
newsCategories
array of strings

News categories to subscribe to (applicable only for 'companyNews').

newsCategories
string
Updated Webhook URL where notifications should be sent.
Example: http://www.your-domain.com/webhook
string
length ≤ 500
Updated optional shared secret used to sign webhook payloads (HmacSHA1).
The signature will appear in the 'X-DemandbaseAPI-AlertDataSignature' header.
Max length: 500 characters.
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml